LibreOffice LibreOffice 7.2 SDK API Reference

Included Services | List of all members
LocalSchemaSupplier Service Reference

implements SchemaSupplier providing access to local configuration schemas More...

`import"LocalSchemaSupplier.idl";`

Inheritance diagram for LocalSchemaSupplier:

## Included Services
service | SchemaSupplier
| provides access to configuration schemas. More...

## Additional Inherited Members
Exported Interfaces inherited from SchemaSupplier
interface | XSchemaSupplier
| provides access to configuration schemas. More...
Public Member Functions inherited from XSchemaSupplier
XSchema | getComponentSchema ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| Returns the schema information (component + templates) for a particular component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

implements SchemaSupplier providing access to local configuration schemas

## Exported Interfaces

## ◆ SchemaSupplier

service SchemaSupplier

provides access to configuration schemas.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/LocalSchemaSupplier.idl